import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/virtual-accounts/index.ts
function createVirtualAccountsResource(client) {
  return {
    update(_a) {
      var _b = _a, {
        instanceId,
        receiverId
      } = _b, data = __objRest(_b, [
        "instanceId",
        "receiverId"
      ]);
      return client.put(
        `/instances/${instanceId}/receivers/${receiverId}/virtual-accounts`,
        data
      );
    },
    create(_c) {
      var _d = _c, {
        instanceId,
        receiverId
      } = _d, data = __objRest(_d, [
        "instanceId",
        "receiverId"
      ]);
      return client.post(
        `/instances/${instanceId}/receivers/${receiverId}/virtual-accounts`,
        data
      );
    },
    get({
      instanceId,
      receiverId
    }) {
      return client.get(`/instances/${instanceId}/receivers/${receiverId}/virtual-accounts`);
    }
  };
}
var init_virtual_accounts = __esm({
  "src/resources/virtual-accounts/index.ts"() {
  }
});

export {
  createVirtualAccountsResource,
  init_virtual_accounts
};
